> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkout

> Initiate checkout for the session's cart.



## OpenAPI

````yaml /openapi.json post /api/v1/shopping/sessions/{session_id}/checkout
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/shopping/sessions/{session_id}/checkout:
    post:
      tags:
        - Shopping
      summary: Checkout
      description: Initiate checkout for the session's cart.
      operationId: checkout_api_v1_shopping_sessions__session_id__checkout_post
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CheckoutResponse:
      properties:
        status:
          type: string
          title: Status
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
        payment_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Status
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - status
      title: CheckoutResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````